Jump to content
Sign in to follow this  
ИльдарСолид

Макрос для создания нового виртуального компонента

Recommended Posts

ИльдарСолид

Доброго времени суток! Пишу макрос, новичок )

История такая, нужно создать новый виртуальный компонент в сборке сразу с заданным в пользовательской форме именем , 

     при вызове макроса

1. открывается пользовательская форма(где есть Поле ввода Имени файла   )  

2. ввожу имя и нажимаю на кнопку  создать ,создается компонент с заданным в текст боксе именем

Форму уже сделал ,не могу создать правильную команду 

текст программы 

 

 

Option Explicit

' ******************************************************************************
' C:\Users\oleg-PC\AppData\Local\Temp\swx13248\Macro1.swb - macro recorded on 05/19/20 by oleg-PC
' ******************************************************************************
Dim swApp As Object

Dim Part As Object
Dim boolstatus As Boolean
Dim longstatus As Long, longwarnings As Long

Private Sub CommandButton1_Click()

Set swApp = Application.SldWorks
Set Part = swApp.ActiveDoc
' Insert New Virtual Part
Dim swFaceOrPlane As Object
Dim swComponent As Component2
longstatus = Part.InsertNewVirtualPart(swFaceOrPlane, swComponent)

End Sub

Private Sub UserForm_Initialize()
TextBox1.Value = ""
ComboBox1.Clear
ComboBox1.AddItem "СБ"
ComboBox1.AddItem "ДТ"
End Sub
 

Share this post


Link to post
Share on other sites


UnPinned posts
SanyaShurik

Лучше добавь его в качества детали, а потом уже сделай виртуальным. Так будет проще. 

Share this post


Link to post
Share on other sites
Kelny
Posted (edited)
В 19.05.2020 в 10:04, ИльдарСолид сказал:

1. открывается пользовательская форма(где есть Поле ввода Имени файла   )  

2. ввожу имя и нажимаю на кнопку  создать ,создается компонент с заданным в текст боксе именем

Форму уже сделал ,не могу создать правильную команду 

1. Считываете с формы имя в переменную, например: NewName

2. Вставляете компонент:

http://help.solidworks.com/2010/english/api/sldworksapi/Insert_New_Virtual_Component_Example_VB.htm

3. Переименовываете вставленное под своё имя из переменной, вероятно как-то так:

swComponent.Name2 = NewName

 

Edited by Kelny

Share this post


Link to post
Share on other sites
alek77

как в образце можно тут посмотреть

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this  
  • Recently Browsing   0 members

    No registered users viewing this page.



×
×
  • Create New...